searchNodes=[{"ref":"Codebuilder.html","title":"Codebuilder","type":"module","doc":"This module holds the functions that translate Elixir function calls into Python function calls."},{"ref":"Codebuilder.html#build_code/1","title":"Codebuilder.build_code/1","type":"function","doc":""},{"ref":"Expyplot.html","title":"Expyplot","type":"module","doc":"This is the supervisor that runs the application. For now, this module doesn&#39;t really do anything else."},{"ref":"Expyplot.html#start/2","title":"Expyplot.start/2","type":"function","doc":"Called when an application is started. This function is called when an application is started using Application.start/2 (and functions on top of that, such as Application.ensure_started/2). This function should start the top-level process of the application (which should be the top supervisor of the application&#39;s supervision tree if the application follows the OTP design principles around supervision). start_type defines how the application is started: :normal - used if the startup is a normal startup or if the application is distributed and is started on the current node because of a failover from another node and the application specification key :start_phases is :undefined. {:takeover, node} - used if the application is distributed and is started on the current node because of a failover on the node node. {:failover, node} - used if the application is distributed and is started on the current node because of a failover on node node, and the application specification key :start_phases is not :undefined. start_args are the arguments passed to the application in the :mod specification key (e.g., mod: {MyApp, [:my_args]}). This function should either return {:ok, pid} or {:ok, pid, state} if startup is successful. pid should be the PID of the top supervisor. state can be an arbitrary term, and if omitted will default to []; if the application is later stopped, state is passed to the stop/1 callback (see the documentation for the c:stop/1 callback for more information). use Application provides no default implementation for the start/2 callback. Callback implementation for Application.start/2."},{"ref":"Expyplot.Export.html","title":"Expyplot.Export","type":"module","doc":"Wrapper for Erlport stolen from the interwebs."},{"ref":"Expyplot.Export.html#call/4","title":"Expyplot.Export.call/4","type":"function","doc":"Execute the given function found in the given module with the given arguments and return the result. Examples iex&gt; pid = Expyplot.Export.start() iex&gt; Expyplot.Export.call(pid, :operator, :add, [5, 2]) 7"},{"ref":"Expyplot.Export.html#start/1","title":"Expyplot.Export.start/1","type":"function","doc":"Start the python instance. Examples iex&gt; pid = Expyplot.Export.start() iex&gt; is_pid(pid) true"},{"ref":"Expyplot.Export.html#stop/1","title":"Expyplot.Export.stop/1","type":"function","doc":"Stops the Python instance. Examples iex&gt; pid = Expyplot.Export.start() iex&gt; Expyplot.Export.stop(pid) :ok"},{"ref":"Expyplot.Plot.html","title":"Expyplot.Plot","type":"module","doc":"This is the end-user API for pyplot. See the matplotlib.plot docs at: http://matplotlib.org/api/pyplot_api.html Most of these functions are UNTESTED. I know. That&#39;s terrible. But you can test them by using them! Then, if they don&#39;t work, open an issue on the github: https://github.com/MaxStrange/expyplot/issues Or better yet, you could write some tests or a patch and open a pull request! Also, since the return values are simply the string representations of whatever was returned to the python server, all of the return values will need to be converted into actual Elixir datastructures. I would love to get around to changing this behavior in the future, but for now, it is as it is. This also means that numpy arrays that are returned are likely to be truncated. This documentation is mostly just copied from the matplotlib.plot docs, and much of it isn&#39;t translated to Elixir like it should be."},{"ref":"Expyplot.Plot.html#acorr/3","title":"Expyplot.Plot.acorr/3","type":"function","doc":"Plot the autocorrelation of x."},{"ref":"Expyplot.Plot.html#angle_spectrum/3","title":"Expyplot.Plot.angle_spectrum/3","type":"function","doc":"Plot the angle spectrum. Compute the angle spectrum (wrapped phase spectrum) of x. Data is padded to a length of pad_to and the windowing function window Not used yet in Expyplot is applied to the signal. Example call: 1..1_000_000 |&gt; Enum.to_list |&gt; Expyplot.Plot.angle_spectrum(x, [_Fs: 2, _Fc: 0, pad_to: nil, sides: &quot;default&quot;])"},{"ref":"Expyplot.Plot.html#annotate/2","title":"Expyplot.Plot.annotate/2","type":"function","doc":"Annotate the point xy with text s. Additional kwargs are passed to Text."},{"ref":"Expyplot.Plot.html#arrow/6","title":"Expyplot.Plot.arrow/6","type":"function","doc":"Add an arrow to the axes. Draws arrow on specified axis from (x, y) to (x + dx, y + dy). Uses FancyArrow patch to construct the arrow."},{"ref":"Expyplot.Plot.html#autoscale/1","title":"Expyplot.Plot.autoscale/1","type":"function","doc":"Autoscale the axis view to the data (toggle). Convenience method for simple axis view autoscaling. It turns autoscaling on or off, and then, if autoscaling for either axis is on, it performs the autoscaling on the specified axis or axes."},{"ref":"Expyplot.Plot.html#autumn/0","title":"Expyplot.Plot.autumn/0","type":"function","doc":"Set the default colormap to autumn and apply to current image if any. See help(colormaps) for more information"},{"ref":"Expyplot.Plot.html#axes/2","title":"Expyplot.Plot.axes/2","type":"function","doc":"Add an axes to the figure. The axes is added at position rect specified by: axes() by itself creates a default full subplot(111) window axis. axes(rect, [facecolor: :w]), where rect = [left, bottom, width, height] in normalized (0, 1) units. facecolor is the background color for the axis, default white. axes(h) where h is an axes instance makes h the current axis."},{"ref":"Expyplot.Plot.html#axhline/2","title":"Expyplot.Plot.axhline/2","type":"function","doc":"Add a horizontal line across the axis. Typical calls: Expyplot.Plot.axhline(linewidth: 4, color: :r) # Draw a thick red hline at &#39;y&#39;=0 that spans the xrange Expyplot.Plot.axhline(y: 1) # Draw a default hline at &#39;y&#39;=1 that spans the xrange Expyplot.Plot.axhline(y: 0.5, xmin: 0.25, xmax: 0.75) # Draw a default hline at &#39;y&#39;=0.5 that spans the middle half of the xrange"},{"ref":"Expyplot.Plot.html#axhspan/4","title":"Expyplot.Plot.axhspan/4","type":"function","doc":"Add a horizontal span (rectangle) across the axis. Draw a horizontal span (rectangle) from ymin to ymax. With the default values of xmin = 0 and xmax = 1, this always spans the xrange, regardless of the xlim settings, even if you change them, e.g., with the set_xlim() command. That is, the horizontal extent is in axes coords: 0=left, 0.5=middle, 1.0=right but the y location is in data coordinates."},{"ref":"Expyplot.Plot.html#axis_get/1","title":"Expyplot.Plot.axis_get/1","type":"function","doc":"This is how axis has been implemented in this library: as two functions - a get and a set, rather than just the one Convenience method to get or set axis properties. This function is of limited usefulness at this stage, as it simply returns the string representation of the current axis. iex&gt; Expyplot.Plot.axis_get() &quot;(0.0, 1.0, 0.0, 1.0)&quot;"},{"ref":"Expyplot.Plot.html#axis_set/2","title":"Expyplot.Plot.axis_set/2","type":"function","doc":"This is how axis has been implemented in this library: as two functions - a get and a set, rather than just the one Convenience method to get or set axis properties. Some examples: iex&gt; Expyplot.Plot.axis_set(&quot;off&quot;) # Turn off the axis lines and labels &quot;(0.0, 1.0, 0.0, 1.0)&quot; iex&gt; Expyplot.Plot.axis_set(&quot;equal&quot;) # Changes limits of x and y axis so that equal increments of x and y have the same length &quot;(-0.055, 0.055, -0.055, 0.055)&quot;"},{"ref":"Expyplot.Plot.html#axvline/2","title":"Expyplot.Plot.axvline/2","type":"function","doc":"Add a vertical line across the axes. Examples Draw a thick read vline at x = 0 that spans the yrange: Expyplot.Plot.axvline(linewidth: 4, color: :r) Draw a default vline at x = 1 that spans the yrange: Expyplot.Plot.axvline(x: 1) Draw a default vline at x = 0.5 that spans the middle half of the yrange Expyplot.Plot.axvline(x: 0.5, ymin: 0.25, ymax: 0.75)"},{"ref":"Expyplot.Plot.html#axvspan/4","title":"Expyplot.Plot.axvspan/4","type":"function","doc":"Add a vertical span (rectangle) across the axes. Draw a vertical span (rectangle) from xmin to xmax. With the default values of ymin = 0 and ymax = 1. This always spans the yrange, regardless of the ylim settings, even if you change them, e.g., with the set_ylim() command. That is, the vertical extent is in axes coords: 0=bottom, 0.5=middle, 1.0=top but the y location is in data coordinates. Examples Draw a vertical, green, translucent rectangle from x = 1.25 to x = 1.55 that spans the yrange of the axes. iex&gt; Expyplot.Plot.axvspan(1.25, 1.55, facecolor: :g, alpha: 0.5) &quot;&quot;"},{"ref":"Expyplot.Plot.html#bar/4","title":"Expyplot.Plot.bar/4","type":"function","doc":"Make a bar plot. Make a bar plot with rectangles bounded by: left, left + width, bottom, bottom + height (left, right, bottom and top edges)."},{"ref":"Expyplot.Plot.html#barbs/2","title":"Expyplot.Plot.barbs/2","type":"function","doc":"Plot a 2-D field of barbs."},{"ref":"Expyplot.Plot.html#barh/4","title":"Expyplot.Plot.barh/4","type":"function","doc":"Make a horizontal bar plot. Make a horizontal bar plot with rectangles bounded by: left, left + width, bottom, bottom + height (lft, right, bottom and top edges). bottom, width, height, and left can be either scalars or sequences"},{"ref":"Expyplot.Plot.html#bone/0","title":"Expyplot.Plot.bone/0","type":"function","doc":"Set the default colormap to bone and apply to current image if any."},{"ref":"Expyplot.Plot.html#boxplot/2","title":"Expyplot.Plot.boxplot/2","type":"function","doc":"Make a box and whisker plot. Make a box and whisker plot for each column of x or each vector in sequence x. The box extends from the lower to upper quartile values of the data, with a line at the median. The whiskers extend from the box to show the range of the data. Flier points are those past the end of the whiskers."},{"ref":"Expyplot.Plot.html#broken_barh/4","title":"Expyplot.Plot.broken_barh/4","type":"function","doc":"Plot horizontal bars. A collection of horizontal bars spanning yrange with a sequence of xranges."},{"ref":"Expyplot.Plot.html#cla/0","title":"Expyplot.Plot.cla/0","type":"function","doc":"Clear the current axes."},{"ref":"Expyplot.Plot.html#clabel/3","title":"Expyplot.Plot.clabel/3","type":"function","doc":"Label a contour plot."},{"ref":"Expyplot.Plot.html#clf/0","title":"Expyplot.Plot.clf/0","type":"function","doc":"Clear the current figure."},{"ref":"Expyplot.Plot.html#clim/1","title":"Expyplot.Plot.clim/1","type":"function","doc":"Set the color limits of the current image. To apply clim to all axes images do: clim(vmin: 0, vmax: 0.5) If either vmin or vmax is nil, the image min/max respectively will be used for color scaling."},{"ref":"Expyplot.Plot.html#close/1","title":"Expyplot.Plot.close/1","type":"function","doc":"Close a figure window. close() by itself closes the current figure close(num) closes figure number num close(name) where name is a string, closes figure with that label close(:all) closes all the figure windows"},{"ref":"Expyplot.Plot.html#cohere/4","title":"Expyplot.Plot.cohere/4","type":"function","doc":"Plot the coherence between x and y. Plot the coherence between x and y. Coherence is the normalized cross spectral density."},{"ref":"Expyplot.Plot.html#colorbar/2","title":"Expyplot.Plot.colorbar/2","type":"function","doc":"Add a colorbar to a plot."},{"ref":"Expyplot.Plot.html#colors/0","title":"Expyplot.Plot.colors/0","type":"function","doc":"This is a do-nothing function to provide you with help on how matplotlib handles colors."},{"ref":"Expyplot.Plot.html#contour/2","title":"Expyplot.Plot.contour/2","type":"function","doc":"Plot contours. contour() and contourf() draw contour lines and filled contours, respectively. Except as noted, function signatures and return values are the same for both versions. contourf() differs from the MATLAB version in that it does not draw the polygon edges. To draw edges, add line contours with calls to contour()."},{"ref":"Expyplot.Plot.html#contourf/2","title":"Expyplot.Plot.contourf/2","type":"function","doc":"Plot contours. contour() and contourf() draw contour lines and filled contours, respectively. Except as noted, function signatures and return values are the same for both versions. contourf() differs from the MATLAB version in that it does not draw the polygon edges. To draw edges, add line contours with calls to contour()."},{"ref":"Expyplot.Plot.html#cool/0","title":"Expyplot.Plot.cool/0","type":"function","doc":"Set the default colormap to cool and apply to current image if any."},{"ref":"Expyplot.Plot.html#copper/0","title":"Expyplot.Plot.copper/0","type":"function","doc":"Set the default colormap to copper and apply to current image if any."},{"ref":"Expyplot.Plot.html#csd/4","title":"Expyplot.Plot.csd/4","type":"function","doc":"Plot the cross-spectral density."},{"ref":"Expyplot.Plot.html#delaxes/1","title":"Expyplot.Plot.delaxes/1","type":"function","doc":"Remove an axes from the current figure. If ax doesn&#39;t exist, an error will be raised."},{"ref":"Expyplot.Plot.html#draw/0","title":"Expyplot.Plot.draw/0","type":"function","doc":"Redraw the current figure. This is used to update a figure that has been altered, but not automatically re-drawn. If interactive mode is on (ion()), this should be only rarely needed, but there may be ways to modify the state of a figure without marking it as stale."},{"ref":"Expyplot.Plot.html#errorbar/4","title":"Expyplot.Plot.errorbar/4","type":"function","doc":"Plot an errorbar graph. Plot x versus y with error deltas in yerr and xerr. Vertical errorbars are plotted if yerr is not nil. Horizontal errorbars are plotted if xerr is not nil. x, y, xerr, and yerr can all be scalars, which plots a single error bar at x, y."},{"ref":"Expyplot.Plot.html#eventplot/3","title":"Expyplot.Plot.eventplot/3","type":"function","doc":"Plot identical parallel lines at specific positions. Plot parallel lines at the given positions. positions should be a 1D or 2D array-like object, with each row corresponding to a row or column of lines. This type of plot is commonly used in neuroscience for representing neural events, where it is commonly called a spike raster, dot raster, or raster plot. However, it is useful in any situation where you wish to show the timing or position of multiple sets of discrete events, such as the arrival times of people to a business on each day of the month or the date of hurricanes each year of the last century."},{"ref":"Expyplot.Plot.html#figimage/2","title":"Expyplot.Plot.figimage/2","type":"function","doc":"Adds a non-resampled image to the figure."},{"ref":"Expyplot.Plot.html#figlegend/4","title":"Expyplot.Plot.figlegend/4","type":"function","doc":"Place a legend in the figure."},{"ref":"Expyplot.Plot.html#fignum_exists/1","title":"Expyplot.Plot.fignum_exists/1","type":"function","doc":""},{"ref":"Expyplot.Plot.html#figtext/2","title":"Expyplot.Plot.figtext/2","type":"function","doc":"Add text to figure. Add text to figure at location x, y (relative 0-1 coords)."},{"ref":"Expyplot.Plot.html#figure/2","title":"Expyplot.Plot.figure/2","type":"function","doc":"Creates a new figure."},{"ref":"Expyplot.Plot.html#fill/2","title":"Expyplot.Plot.fill/2","type":"function","doc":"Plot filled polygons."},{"ref":"Expyplot.Plot.html#fill_between_horizontal/4","title":"Expyplot.Plot.fill_between_horizontal/4","type":"function","doc":"Make filled polygons between two horizontal curves."},{"ref":"Expyplot.Plot.html#fill_between_vertical/4","title":"Expyplot.Plot.fill_between_vertical/4","type":"function","doc":"Make filled polygons between two curves."},{"ref":"Expyplot.Plot.html#findobj/1","title":"Expyplot.Plot.findobj/1","type":"function","doc":"Find artist objects. Recursively find all Artist instances contained in self."},{"ref":"Expyplot.Plot.html#flag/0","title":"Expyplot.Plot.flag/0","type":"function","doc":"Set the default colormap to flag and apply to current image if any."},{"ref":"Expyplot.Plot.html#gca/1","title":"Expyplot.Plot.gca/1","type":"function","doc":"Get the current Axes instance on the current figure matching the given keyword args, or create one."},{"ref":"Expyplot.Plot.html#gcf/0","title":"Expyplot.Plot.gcf/0","type":"function","doc":"Get a reference to the current figure."},{"ref":"Expyplot.Plot.html#gci/0","title":"Expyplot.Plot.gci/0","type":"function","doc":"Get the current colorable artist. Specifically, returns the current ScalarMappable instance (image or patch collection), or &quot;Nothing&quot; if no images or patch collections have been defined. The commands imshow() and figimage() create Image instances, and the commands pcolor() and scatter() create Collection instances. The current image is an attribute of the current axes, or the nearest earlier axes in the current figure that contains an image."},{"ref":"Expyplot.Plot.html#get_current_fig_manager/0","title":"Expyplot.Plot.get_current_fig_manager/0","type":"function","doc":""},{"ref":"Expyplot.Plot.html#get_figlabels/0","title":"Expyplot.Plot.get_figlabels/0","type":"function","doc":"Return a list of existing figure labels."},{"ref":"Expyplot.Plot.html#get_fignums/0","title":"Expyplot.Plot.get_fignums/0","type":"function","doc":"Return a list of existing figure numbers."},{"ref":"Expyplot.Plot.html#get_plot_commands/0","title":"Expyplot.Plot.get_plot_commands/0","type":"function","doc":"Get a sorted list of all of the plotting commands."},{"ref":"Expyplot.Plot.html#ginput/2","title":"Expyplot.Plot.ginput/2","type":"function","doc":"This will wait for n clicks from the user and return a list of the coordinates of each click. If timeout is zero or negative, does not timeout. If n is zero or negative, accumulated clicks until a middle click (or potentially both mouse buttons at once) terminates the input. Right clicking cancels last input. The buttons used for the various actions (adding points, removing points, terminating the inputs) can be overriden via the arguments mouse_add, mouse_pop and mouse_stop, that give the associated mouse button: 1 for left, 2 for middle, 3 for right. The keyboard can also be used to select points in case your mouse does not have one or more of the buttons. The delete and backspace keys act like right clicking (i.e., remove last point), the enter key terminates input and any other key (not already used by the window manager) selects a point."},{"ref":"Expyplot.Plot.html#gray/0","title":"Expyplot.Plot.gray/0","type":"function","doc":"Set the default colormap to gray and apply to current image if any."},{"ref":"Expyplot.Plot.html#grid/2","title":"Expyplot.Plot.grid/2","type":"function","doc":"Turn the axes grids on or off. Set the axes grids on or off; b is a boolean. (For MATLAB compatibility, b may also be an atom :on or :off.)"},{"ref":"Expyplot.Plot.html#hexbin/4","title":"Expyplot.Plot.hexbin/4","type":"function","doc":"Make a hexagonal binning plot. Make a hexagonal binning plot of x versus y, where x, y are 1-D sequences of the same length, N. If C is nil (the default), this is a histogram of the number of occurrences of the observations at (x[i], y[i]). If C is specified, it specifies values at the coordinate (x[i], y[i]). These values are accumulated for each hexagonal bin and then reduced according to reduce_C_function, which defaults to numpy&#39;s mean function (np.mean). (If C is specified, it must also be a 1-D sequence of the same length as x and y.)"},{"ref":"Expyplot.Plot.html#hist/3","title":"Expyplot.Plot.hist/3","type":"function","doc":"Plot a histogram. Compute and draw the histogram of x. The return value is a tuple (n, bins, patches) or ([n0, n1, ...], bins, [patches0, patches1, ...]) if the input contains multiple data. Multiple data can be provided via x as a list of datasets of potentially different length, or as a 2-D ndarray in which each column is a dataset. Note that the ndarray form is transposed relative to the list form. Masked arrays are not supported at present."},{"ref":"Expyplot.Plot.html#hist2d/4","title":"Expyplot.Plot.hist2d/4","type":"function","doc":"Make a 2D histogram plot."},{"ref":"Expyplot.Plot.html#hlines/5","title":"Expyplot.Plot.hlines/5","type":"function","doc":"Plot horizontal lines at each y from xmin to xmax."},{"ref":"Expyplot.Plot.html#hot/0","title":"Expyplot.Plot.hot/0","type":"function","doc":"Set the default colormap to hot and apply to current image if any."},{"ref":"Expyplot.Plot.html#hsv/0","title":"Expyplot.Plot.hsv/0","type":"function","doc":"Set the default colormap to hsv and apply to current image if any."},{"ref":"Expyplot.Plot.html#imread/2","title":"Expyplot.Plot.imread/2","type":"function","doc":"Read an image from a file into an array. fname may be a string path, or a valid URL. If format is provided, will try to read file of that type, otherwise the format is deduced from the filename. If nothing can be deduced, PNG is tried. Return value is a numpy.array But in expyplot, this will return a string, and it probably won&#39;t work. For grayscale images, the return array is MxN. For RGB images, the return value is MxNx4. matplotlib can only read PNGs natively, but if PIL is installed, it will use it to load the image and return an array (if possible) which can be used with imshow(). Note, URL strings may not be compatible with PIL. Check the PIL documentation for more information."},{"ref":"Expyplot.Plot.html#imsave/2","title":"Expyplot.Plot.imsave/2","type":"function","doc":"Save an array as an image file. The output formats available depend on the backend being used."},{"ref":"Expyplot.Plot.html#imshow/3","title":"Expyplot.Plot.imshow/3","type":"function","doc":"Display an image on the axes."},{"ref":"Expyplot.Plot.html#inferno/0","title":"Expyplot.Plot.inferno/0","type":"function","doc":"Set the default colormap to inferno and apply to current image if any."},{"ref":"Expyplot.Plot.html#ioff/0","title":"Expyplot.Plot.ioff/0","type":"function","doc":"Turn interactive mode off."},{"ref":"Expyplot.Plot.html#ion/0","title":"Expyplot.Plot.ion/0","type":"function","doc":"Turn interactive mode on."},{"ref":"Expyplot.Plot.html#isinteractive/0","title":"Expyplot.Plot.isinteractive/0","type":"function","doc":"Return status of interactive mode."},{"ref":"Expyplot.Plot.html#jet/0","title":"Expyplot.Plot.jet/0","type":"function","doc":"Set the default coormap to jet and apply to current image if any."},{"ref":"Expyplot.Plot.html#legend/2","title":"Expyplot.Plot.legend/2","type":"function","doc":"Places a legend on the axes."},{"ref":"Expyplot.Plot.html#locator_params/2","title":"Expyplot.Plot.locator_params/2","type":"function","doc":"Control behavior of tick locators."},{"ref":"Expyplot.Plot.html#loglog/2","title":"Expyplot.Plot.loglog/2","type":"function","doc":"Make a plot with log scaling on both the x and y axis. loglog() supports all the keyword arguments of plot() and matplotlib.axes.Axes.set_xscale() / matplotlib.axes.Axes.set_yscale()."},{"ref":"Expyplot.Plot.html#magma/0","title":"Expyplot.Plot.magma/0","type":"function","doc":"Set the default colormap to magma and apply to current image if any."},{"ref":"Expyplot.Plot.html#magnitude_spectrum/3","title":"Expyplot.Plot.magnitude_spectrum/3","type":"function","doc":"Plot the magnitude spectrum."},{"ref":"Expyplot.Plot.html#margins/2","title":"Expyplot.Plot.margins/2","type":"function","doc":"Set or retrieve autoscaling margins."},{"ref":"Expyplot.Plot.html#matshow/3","title":"Expyplot.Plot.matshow/3","type":"function","doc":"Display an array as a matrix in a new figure window. The origin is set at the upper left hand corner and rows (first dimension of the array) are displayed horizontally. The aspect ratio of the figure window is that of the array, unless this would make an excessively short or narrow figure. Tick labels for the xaxis are placed on top."},{"ref":"Expyplot.Plot.html#minorticks_off/0","title":"Expyplot.Plot.minorticks_off/0","type":"function","doc":"Remove minor ticks from the current plot."},{"ref":"Expyplot.Plot.html#nipy_spectral/0","title":"Expyplot.Plot.nipy_spectral/0","type":"function","doc":"Set the default colormap to nipy_spectral and apply to current image if any."},{"ref":"Expyplot.Plot.html#pause/1","title":"Expyplot.Plot.pause/1","type":"function","doc":"Pause for interval seconds. If there is an active figure it will be updated and displayed, and the GUI event loop will run during the pause. If there is no active figure, or if a non-interactive backend is in use, this executes time.sleep(interval). This can be used for crude animation."},{"ref":"Expyplot.Plot.html#pcolor/2","title":"Expyplot.Plot.pcolor/2","type":"function","doc":"Create a pseudocolor plot of a 2-D array."},{"ref":"Expyplot.Plot.html#pcolormesh/2","title":"Expyplot.Plot.pcolormesh/2","type":"function","doc":"Plot a quadrilateral mesh."},{"ref":"Expyplot.Plot.html#phase_spectrum/3","title":"Expyplot.Plot.phase_spectrum/3","type":"function","doc":"Plot the phase spectrum."},{"ref":"Expyplot.Plot.html#pie/2","title":"Expyplot.Plot.pie/2","type":"function","doc":"Plot a pie chart. Make a pie chart of array x. The fractional area of each wedge is given by x / sum(x). If sum(x) &lt;= 1, then the values of x give the fractional area directly and the array will not be normalized. The wedges are plotted counterclockwise, by default starting from the x-axis."},{"ref":"Expyplot.Plot.html#pink/0","title":"Expyplot.Plot.pink/0","type":"function","doc":"Set the default colormap to pink and apply to current image if any."},{"ref":"Expyplot.Plot.html#plasma/0","title":"Expyplot.Plot.plasma/0","type":"function","doc":"Set the default colormap to plasma and apply to current image if any."},{"ref":"Expyplot.Plot.html#plot/2","title":"Expyplot.Plot.plot/2","type":"function","doc":"Plot lines and/or markers to the Axes. args is a variable length argument, allowing for multiple x, y pairs with an optional format string. Each of the following is legal: x = 1..10 |&gt; Enum.to_list y = 11..20 |&gt; Enum.to_list Expyplot.Plot.plot([x, y]) # plot x and y using default line style and color Expyplot.Plot.plot([x, y, &quot;bo&quot;]) # plot x and y using blue circle markers Expyplot.Plot.plot([y]) # plot y using x as index array 0..N-1 Expyplot.Plot.plot([y, &quot;r+&quot;]) # ditto, but with red plusses x2 = 1..5 |&gt; Enum.to_list y2 = 3..7 |&gt; Enum.to_list Expyplot.Plot.plot([x, y, &quot;g^&quot;, x2, y2, &quot;g-&quot;]) Due to the differences between function signatures in Python and Elixir, the typical usage of this function is a little different than what you would expect: iex&gt; Expyplot.Plot.plot([[1, 2, 3, 4, 5]]) nil or iex&gt; Expyplot.Plot.plot([1..5]) nil Notice the nesting of the list or range. Examples with keyword args Expyplot.Plot.plot([[1, 2, 3], [1, 2, 3], &quot;go-&quot;], label: &quot;line 1&quot;, linewidth: 2) Expyplot.Plot.plot([[1, 2, 3], [1, 4, 9], &quot;rs&quot;], label: &quot;line 2&quot;) Expyplot.Plot.axis_set([0, 4, 0, 10]) # Notice that this signature is &#39;axis_set&#39;, not &#39;axis&#39; as in matplotlib Expyplot.Plot.legend()"},{"ref":"Expyplot.Plot.html#plot_date/4","title":"Expyplot.Plot.plot_date/4","type":"function","doc":"A plot with data that contains dates."},{"ref":"Expyplot.Plot.html#plotfile/3","title":"Expyplot.Plot.plotfile/3","type":"function","doc":"Plot the data in a file."},{"ref":"Expyplot.Plot.html#polar/2","title":"Expyplot.Plot.polar/2","type":"function","doc":"make a polar plot."},{"ref":"Expyplot.Plot.html#prism/0","title":"Expyplot.Plot.prism/0","type":"function","doc":"Set the default colormap to prism and apply to current image if any."},{"ref":"Expyplot.Plot.html#psd/3","title":"Expyplot.Plot.psd/3","type":"function","doc":"Plot the power spectral density."},{"ref":"Expyplot.Plot.html#quiver/2","title":"Expyplot.Plot.quiver/2","type":"function","doc":"Plot a 2-D field of arrows."},{"ref":"Expyplot.Plot.html#quiverkey/2","title":"Expyplot.Plot.quiverkey/2","type":"function","doc":"Add a key to a quiver plot."},{"ref":"Expyplot.Plot.html#rc/2","title":"Expyplot.Plot.rc/2","type":"function","doc":"Set the current rc params. Group is the grouping for the rc."},{"ref":"Expyplot.Plot.html#rcdefaults/0","title":"Expyplot.Plot.rcdefaults/0","type":"function","doc":"Restore the default rc params. These are not the params loaded by the rc file, but mpl&#39;s internal params. See rc_file_defaults for reloading the default params from the rc file."},{"ref":"Expyplot.Plot.html#rgrids/2","title":"Expyplot.Plot.rgrids/2","type":"function","doc":"Get or set the radial gridlines on a polar plot."},{"ref":"Expyplot.Plot.html#savefig/2","title":"Expyplot.Plot.savefig/2","type":"function","doc":"Save the current figure."},{"ref":"Expyplot.Plot.html#scatter/4","title":"Expyplot.Plot.scatter/4","type":"function","doc":"Make a scatter plot of x vs y. Marker size is scaled by s and marker color is mapped to c."},{"ref":"Expyplot.Plot.html#semilogx/2","title":"Expyplot.Plot.semilogx/2","type":"function","doc":"Make a plot with log scaling on the x axis."},{"ref":"Expyplot.Plot.html#semilogy/2","title":"Expyplot.Plot.semilogy/2","type":"function","doc":"Make a plot with log scaling on the y axis."},{"ref":"Expyplot.Plot.html#set_cmap/1","title":"Expyplot.Plot.set_cmap/1","type":"function","doc":"Set the default colormap. Applies to the current image if any. cmap must be the name of a registered colormap."},{"ref":"Expyplot.Plot.html#show/2","title":"Expyplot.Plot.show/2","type":"function","doc":"Display a figure."},{"ref":"Expyplot.Plot.html#specgram/3","title":"Expyplot.Plot.specgram/3","type":"function","doc":"Plot a spectrogram."},{"ref":"Expyplot.Plot.html#spectral/0","title":"Expyplot.Plot.spectral/0","type":"function","doc":"Set the default colormap to spectral and apply to current image if any."},{"ref":"Expyplot.Plot.html#spring/0","title":"Expyplot.Plot.spring/0","type":"function","doc":"Set the default colormap to spring and apply to current image if any."},{"ref":"Expyplot.Plot.html#spy/3","title":"Expyplot.Plot.spy/3","type":"function","doc":"Plot the sparsity pattern on a 2-D array. spy(z) plots the sparsity pattern of the 2-D array z."},{"ref":"Expyplot.Plot.html#stackplot/3","title":"Expyplot.Plot.stackplot/3","type":"function","doc":"Draws a stacked area plot."},{"ref":"Expyplot.Plot.html#stem/2","title":"Expyplot.Plot.stem/2","type":"function","doc":"Create a stem plot."},{"ref":"Expyplot.Plot.html#step/4","title":"Expyplot.Plot.step/4","type":"function","doc":"Make a step plot."},{"ref":"Expyplot.Plot.html#streamplot/5","title":"Expyplot.Plot.streamplot/5","type":"function","doc":"Draws streamlinkes of a vector flow."},{"ref":"Expyplot.Plot.html#subplot/2","title":"Expyplot.Plot.subplot/2","type":"function","doc":"Return a subplot axes positioned by the given grid definition."},{"ref":"Expyplot.Plot.html#subplot2grid/4","title":"Expyplot.Plot.subplot2grid/4","type":"function","doc":"Create a subplot in a grid. The grid is specified by shape, at location of loc, spanning rowspan, colspan cells in each direction. The index for loc is 0-based."},{"ref":"Expyplot.Plot.html#subplot_tool/2","title":"Expyplot.Plot.subplot_tool/2","type":"function","doc":"Launch a subplot tool window for a figure."},{"ref":"Expyplot.Plot.html#subplots/2","title":"Expyplot.Plot.subplots/2","type":"function","doc":"Create a figure and a set of subplots. This utility wrapper makes it convenient to create common layouts of subplots, including the enclosing figure object, in a single call."},{"ref":"Expyplot.Plot.html#subplots_adjust/2","title":"Expyplot.Plot.subplots_adjust/2","type":"function","doc":"Tune the subplot layout."},{"ref":"Expyplot.Plot.html#summer/0","title":"Expyplot.Plot.summer/0","type":"function","doc":"Set the default colormap to summer and apply to current image if any."},{"ref":"Expyplot.Plot.html#suptitle/2","title":"Expyplot.Plot.suptitle/2","type":"function","doc":"Add a centered title to the figure."},{"ref":"Expyplot.Plot.html#table/1","title":"Expyplot.Plot.table/1","type":"function","doc":"Add a table to the current axes."},{"ref":"Expyplot.Plot.html#text/5","title":"Expyplot.Plot.text/5","type":"function","doc":"Add text to the axes. Add text in string s to axis at location x, y data coordinates."},{"ref":"Expyplot.Plot.html#thetagrids/2","title":"Expyplot.Plot.thetagrids/2","type":"function","doc":"Get or set the theta locations of the gridlines in a polar plot. If no arguments are passed, return a tuple (lines, labels) where lines is an array of radial gridlines (Line2D instances) and labels is an array of tick labels (Text instances)."},{"ref":"Expyplot.Plot.html#tick_parameters/2","title":"Expyplot.Plot.tick_parameters/2","type":"function","doc":"Change the appearance of ticks and tick labels."},{"ref":"Expyplot.Plot.html#ticklabel_format/1","title":"Expyplot.Plot.ticklabel_format/1","type":"function","doc":"Change the ScalarFormatter used by default for linear axes."},{"ref":"Expyplot.Plot.html#tight_layout/1","title":"Expyplot.Plot.tight_layout/1","type":"function","doc":"Automatically adjust subplot parameters to give specified padding."},{"ref":"Expyplot.Plot.html#title/3","title":"Expyplot.Plot.title/3","type":"function","doc":"Set a title of the current axes. Set one of hte three available axes titles. The available titles are positioned above the aces in the center, flush with the left edge, and flush with the right edge."},{"ref":"Expyplot.Plot.html#tricontour/2","title":"Expyplot.Plot.tricontour/2","type":"function","doc":"Draw contours on an unstructured triangular grid tricontour() and tricontourf() draw contour lines and filled contours, respectively."},{"ref":"Expyplot.Plot.html#tricontourf/2","title":"Expyplot.Plot.tricontourf/2","type":"function","doc":"Draw contours on an unstructured triangular grid tricontour() and tricontourf() draw contour lines and filled contours, respectively."},{"ref":"Expyplot.Plot.html#tripcolor/2","title":"Expyplot.Plot.tripcolor/2","type":"function","doc":"Create a pseudocolor plot of an unstructured triangular grid."},{"ref":"Expyplot.Plot.html#triplot/2","title":"Expyplot.Plot.triplot/2","type":"function","doc":"Draw an unstructured triangular grid as lines and/or markers."},{"ref":"Expyplot.Plot.html#twinx/1","title":"Expyplot.Plot.twinx/1","type":"function","doc":"Make a second axes that shares the x-axis. The new axes will overlay ax (or the current axes if ax is nil). The ticks for ax2 will be placed on the right, and the ax2 instance is returned."},{"ref":"Expyplot.Plot.html#twiny/1","title":"Expyplot.Plot.twiny/1","type":"function","doc":"Make a second axes that shares the y-axis. The new axis will overlay ax (or the current axes if ax is nil). The ticks for ax2 will be placed on the top, and the ax2 instance is returned."},{"ref":"Expyplot.Plot.html#uninstall_repl_displayhook/0","title":"Expyplot.Plot.uninstall_repl_displayhook/0","type":"function","doc":"Uninstalls the matplotlib display hook."},{"ref":"Expyplot.Plot.html#violinplot/2","title":"Expyplot.Plot.violinplot/2","type":"function","doc":"Make a violin plot. Make a violin plot for each column of dataset or each vector in sequence dataset. Each filled area extends to represent the entire data range, with optional lines at the mean, the median, the minimum, and the maximum."},{"ref":"Expyplot.Plot.html#viridis/0","title":"Expyplot.Plot.viridis/0","type":"function","doc":"Set the default colormap to viridis and apply to current image if any."},{"ref":"Expyplot.Plot.html#vlines/5","title":"Expyplot.Plot.vlines/5","type":"function","doc":"Plot vertical lines. Plot vertical lines at each x from ymin to ymax."},{"ref":"Expyplot.Plot.html#waitforbuttonpress/2","title":"Expyplot.Plot.waitforbuttonpress/2","type":"function","doc":"Blocking call to interact with the figure. This will return &quot;True&quot; if a key was pressed, &quot;False&quot; if a mouse button was pressed and &quot;None&quot; if timeout was reached without either being pressed. If timeout is negative, does not timeout."},{"ref":"Expyplot.Plot.html#winter/0","title":"Expyplot.Plot.winter/0","type":"function","doc":"Set the default colormap to winter and apply to current image if any."},{"ref":"Expyplot.Plot.html#xcorr/4","title":"Expyplot.Plot.xcorr/4","type":"function","doc":"Plot the cross correlation between x and y."},{"ref":"Expyplot.Plot.html#xkcd/2","title":"Expyplot.Plot.xkcd/2","type":"function","doc":"Turns xkcd sketch-style drawing mode. This will only have effect on things drawn after this function is called. For best results, the &quot;Humor Sans&quot; font should be indstalled: it is not included with matplotlib."},{"ref":"Expyplot.Plot.html#xlabel/3","title":"Expyplot.Plot.xlabel/3","type":"function","doc":"Set the x axis label of the current axis."},{"ref":"Expyplot.Plot.html#xlim/2","title":"Expyplot.Plot.xlim/2","type":"function","doc":"Get or set the x limits of the current axes."},{"ref":"Expyplot.Plot.html#xscale/2","title":"Expyplot.Plot.xscale/2","type":"function","doc":"Set the scaling of the x-axis."},{"ref":"Expyplot.Plot.html#xticks/2","title":"Expyplot.Plot.xticks/2","type":"function","doc":"Get or set the x-limits of the current tick locations and labels."},{"ref":"Expyplot.Plot.html#ylabel/3","title":"Expyplot.Plot.ylabel/3","type":"function","doc":"Set the y-axis label of the current axis."},{"ref":"Expyplot.Plot.html#ylim/2","title":"Expyplot.Plot.ylim/2","type":"function","doc":"Get or set the y-limits of the current axes."},{"ref":"Expyplot.Plot.html#yscale/2","title":"Expyplot.Plot.yscale/2","type":"function","doc":"Set the scaling of the y-axis."},{"ref":"Expyplot.Plot.html#yticks/2","title":"Expyplot.Plot.yticks/2","type":"function","doc":"Get or set the y-limits of the current tick locations and labels."},{"ref":"Server.Commapi.html","title":"Server.Commapi","type":"module","doc":"This is the API for the pycomm server. Don&#39;t call anything in there except through here. This is also its supervisor."},{"ref":"Server.Commapi.html#add_code/1","title":"Server.Commapi.add_code/1","type":"function","doc":""},{"ref":"Server.Commapi.html#child_spec/1","title":"Server.Commapi.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Server.Commapi.html#init/1","title":"Server.Commapi.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Server.Commapi.html#start_link/0","title":"Server.Commapi.start_link/0","type":"function","doc":""},{"ref":"Server.Pycomm.html","title":"Server.Pycomm","type":"module","doc":"This module is a GenServer that manages the Python code that will be executed. The general idea is that you will call functions in the library&#39;s API and this will usually add code here. Then when you call Expyplot.Plot.show(), it will flush the code to the Python3 interpretor, thus making the plot. TODO: Switch this over to using Export.ex (which uses erlport under the hood)"},{"ref":"Server.Pycomm.html#child_spec/1","title":"Server.Pycomm.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Server.Pycomm.html#eval_code/2","title":"Server.Pycomm.eval_code/2","type":"function","doc":"Adds the given code to the buffer."},{"ref":"Server.Pycomm.html#init/1","title":"Server.Pycomm.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Server.Pycomm.html#start_link/1","title":"Server.Pycomm.start_link/1","type":"function","doc":"Starts the server."},{"ref":"Server.Pyserver.html","title":"Server.Pyserver","type":"module","doc":""},{"ref":"Server.Pyserver.html#child_spec/1","title":"Server.Pyserver.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Server.Pyserver.html#init/1","title":"Server.Pyserver.init/1","type":"function","doc":"Invoked when the server is started. start_link/3 or start/3 will block until it returns. init_arg is the argument term (second argument) passed to start_link/3. Returning {:ok, state} will cause start_link/3 to return {:ok, pid} and the process to enter its loop. Returning {:ok, state, timeout} is similar to {:ok, state} except handle_info(:timeout, state) will be called after timeout milliseconds if no messages are received within the timeout. Returning {:ok, state, :hibernate} is similar to {:ok, state} except the process is hibernated before entering the loop. See c:handle_call/3 for more information on hibernation. Returning {:ok, state, {:continue, continue}} is similar to {:ok, state} except that immediately after entering the loop the c:handle_continue/2 callback will be invoked with the value continue as first argument. Returning :ignore will cause start_link/3 to return :ignore and the process will exit normally without entering the loop or calling c:terminate/2. If used when part of a supervision tree the parent supervisor will not fail to start nor immediately try to restart the GenServer. The remainder of the supervision tree will be started and so the GenServer should not be required by other processes. It can be started later with Supervisor.restart_child/2 as the child specification is saved in the parent supervisor. The main use cases for this are: The GenServer is disabled by configuration but might be enabled later. An error occurred and it will be handled by a different mechanism than the Supervisor. Likely this approach involves calling Supervisor.restart_child/2 after a delay to attempt a restart. Returning {:stop, reason} will cause start_link/3 to return {:error, reason} and the process to exit with reason reason without entering the loop or calling c:terminate/2. Callback implementation for GenServer.init/1."},{"ref":"Server.Pyserver.html#start_link/1","title":"Server.Pyserver.start_link/1","type":"function","doc":"Starts the server."},{"ref":"Server.Pysupervisor.html","title":"Server.Pysupervisor","type":"module","doc":"This is the Supervisor for the python code. It restarts it whenever it goes down."},{"ref":"Server.Pysupervisor.html#child_spec/1","title":"Server.Pysupervisor.child_spec/1","type":"function","doc":"Returns a specification to start this module under a supervisor. See Supervisor."},{"ref":"Server.Pysupervisor.html#init/1","title":"Server.Pysupervisor.init/1","type":"function","doc":"Callback invoked to start the supervisor and during hot code upgrades. Developers typically invoke Supervisor.init/2 at the end of their init callback to return the proper supervision flags. Callback implementation for Supervisor.init/1."},{"ref":"Server.Pysupervisor.html#start_link/0","title":"Server.Pysupervisor.start_link/0","type":"function","doc":""}]